e <- quote((1 + x) / 2)
typeof(e)
mode(e)
length(e)
e[[1]]
e[[2]]
e[[3]]
typeof(e[[1]])
typeof(e[[2]])
typeof(e[[3]])
eval(e, list(x=1))
deparse(e)

e <- as.call(list(as.symbol("+"), 1, as.symbol("x")))
typeof(e)
eval(e, list(x=1))

deparse(quote(1:2))
deparse(1:2)

e <- substitute(x + y, list(x=1, y=2))
typeof(e)
eval(e)
deparse(e)

e <- substitute(f(x), list(f=sin))
typeof(e)
eval(e, list(x=pi/2))
deparse(e)
